Update a coupon pool

This endpoint can be used to update a coupon pool with the attributes provided in the request body.

Path Params
string
required

The ID of the coupon pool to update which can be:

  • the ID of the coupon pool (pool_id) - a unique external attribute used to identify the coupon pool (external_id)
Body Params

Request body to update the coupon pool with the specified attributes. The update_method is required. The request body can also include custom attributes (if used).

string
required

The update method, which can be:

  • update_all: Update all coupons. - update_none: Do not update coupons. - update_not_redeemed: Update only the coupons which have not been redeemed. - update_unassigned: Update only the unassigned coupons.
string
length between 6 and 24

An optional unique identifier used for mapping the coupon pool to an external system.

string

The name of the coupon pool.

string

The source of the coupon pool, which must be uploaded.

string

The type of the coupon pool, which can be amount, percentage, free_shipping or gift_card.

float
≥ 0.01

The value of the coupon pool.

number
≥ 1

The minimum value below which gift card coupons are invalidated (only applicable if the value of the type attribute is set to gift_card).

number
≥ 1

The minimum redemption value for gift card coupons (only applicable if the value of the type attribute is set to gift_card).

string

The currency of the gift card coupons (only applicable if the value of the type attribute is set to gift_card).

number
≥ 1

The minimum basket value required to use coupons from this coupon pool.

string

The expiration time of coupons from this coupon pool (e.g., 2 months).

boolean
Defaults to false

The value determines whether the same coupon code is assigned each time a coupon from this coupon pool is issued for a specific customer.

products
array of strings

List of active product IDs to which the coupon discount can be applied (only applicable if the Product catalog module is enabled).

products
stores
array of strings

List of active store IDs for which the coupons of this coupon pool can be validated (only applicable if the Stores module is enabled).

stores
boolean
Defaults to false

Only update coupons with matching original value.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json